Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5117)
@@ -1841,11 +1841,11 @@
          CALL iso_verif_traceur(zxt(1,i),'ilp 1025')
          do izone=izone_oce,izone_ddft
-          if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) THEN
+          IF ((izone.EQ.izone_oce).OR.(izone.EQ.izone_ddft)) THEN
            ! avec condensation, on ne peut que perdre des traceurs à
            ! part le tag résuel et le condensat
-           if (iso_verif_positif_choix_nostop( &
+           IF (iso_verif_positif_choix_nostop( &
                  zxt_ancien(itZonIso(izone,iso_eau),i) &
                 -zxt(itZonIso(izone,iso_eau),i),1e-8,'ilp 1270') &
-                .eq.1) THEN
+                .EQ.1) THEN
             WRITE(*,*) 'i,izone,rneb=',i,izone,rneb(i,k)
             WRITE(*,*) 'zxt(:,i)=',zxt(:,i)
@@ -1858,5 +1858,5 @@
             stop
            endif !if (iso_verif_positif_nostop(
-          endif !if ((izone.eq.izone_oce).or.(izone.eq.izone_ddft)) THEN
+          endif !if ((izone.EQ.izone_oce).OR.(izone.EQ.izone_ddft)) THEN
          enddo !do izone=izone_oce,izone_revap
 #endif                     
@@ -1869,9 +1869,9 @@
 #endif        
         endif ! if (option_tmin.ge.1) THEN
-        if (option_cond.eq.1) THEN
+        IF (option_cond.EQ.1) THEN
         ! colorier le condensat en un tag spécifique
         do i=1,klon        
           do ixt=1+niso,ntraciso
-            if (index_zone(ixt).eq.izone_cond) THEN
+            IF (index_zone(ixt).EQ.izone_cond) THEN
               zxtcond(ixt,i)=zxtcond(index_iso(ixt),i)
             else
@@ -1904,15 +1904,15 @@
          enddo !do ixt=1,niso
 #endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 644',errmax,errmaxrel)
          endif !if (iso_eau.gt.0) THEN
-         if (iso_HDO.gt.0) THEN
-            if (zq(i).gt.ridicule) THEN
+         IF (iso_HDO.gt.0) THEN
+            IF (zq(i).gt.ridicule) THEN
              CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'il pleut 648')
-              if (iso_O18.gt.0) THEN
-                if (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
-                 zxt(iso_O18,i)/zq(i),'il pleut 2059').eq.1) THEN
+              IF (iso_O18.gt.0) THEN
+                IF (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
+                 zxt(iso_O18,i)/zq(i),'il pleut 2059').EQ.1) THEN
                    WRITE(*,*) 'i,k,zq=',i,k,zq(i)
                    stop
@@ -1994,5 +1994,5 @@
       ! tombent
       do i=1,klon
-         if (rneb(i,k).gt.0.0) THEN
+         IF (rneb(i,k).gt.0.0) THEN
             do ixt=1,ntraciso
                zxtoliq(ixt,i)=zxtcond(ixt,i)
@@ -2005,6 +2005,6 @@
        do i=1,klon   
          do ixt=1,ntraciso
-           if (iso_verif_noNAN_nostop(zxtoliq(ixt,i), &
-                 'il pleut 1628').eq.1) THEN
+           IF (iso_verif_noNAN_nostop(zxtoliq(ixt,i), &
+                 'il pleut 1628').EQ.1) THEN
              WRITE(*,*) 'i,k,ixt=',i,k,ixt
              WRITE(*,*) 'rneb(i,k)=',rneb(i,k)
@@ -2020,16 +2020,16 @@
        do i=1,klon   
            ! cam verif
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtoliq(iso_eau,i),zoliq(i), &
                   'il pleut 678',errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (zoliq(i).gt.ridicule) THEN
-            if (iso_HDO.gt.0) THEN
+           IF (zoliq(i).gt.ridicule) THEN
+            IF (iso_HDO.gt.0) THEN
                 ! Camille 9 mars 2023: on est moins stricte avec le condensat
                 CALL iso_verif_aberrant_choix(zxtoliq(iso_HDO,i),zoliq(i), &
                  ridicule_rain,deltalim_snow, 'il pleut 895a')
-              if (iso_O18.gt.0) THEN
-                if (iso_verif_O18_aberrant_nostop(zxtoliq(iso_HDO,i)/zoliq(i), &
-                 zxtoliq(iso_O18,i)/zoliq(i),'il pleut 895b').eq.1) THEN
+              IF (iso_O18.gt.0) THEN
+                IF (iso_verif_O18_aberrant_nostop(zxtoliq(iso_HDO,i)/zoliq(i), &
+                 zxtoliq(iso_O18,i)/zoliq(i),'il pleut 895b').EQ.1) THEN
                    WRITE(*,*) 'i,k,zoliq,zfice=',i,k,zoliq(i),zfice(i)
                    !stop
@@ -2055,5 +2055,5 @@
                  !  quantite d'eau a eliminer: zchau (Sundqvist, 1978)
                  !  meme chose pour la glace: zfroi (Zender & Kiehl, 1997)
-                 if (ptconv(i,k)) THEN
+                 IF (ptconv(i,k)) THEN
                     zcl   =cld_lc_con
                     zct   =1./cld_tau_con
@@ -2071,5 +2071,5 @@
                  ! surfacique modifiee, qui est plus grande et reduit
                  ! sinon l'eau in-cloud de facon artificielle
-                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
+                 IF ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
                     zchau    = zct   *dtime/REAL(ninter) * zoliq(i) &
                          *(1.0-EXP(-(zoliq(i)/ctot_vol(i,k)/zcl   )**2)) *(1.-zfice(i))
@@ -2111,5 +2111,5 @@
       do i=1,klon
        IF (rneb(i,k).GT.0.0) THEN
-        if (zcond(i).gt.ridicule**2) THEN
+        IF (zcond(i).gt.ridicule**2) THEN
             ! le 21 dec: on change .gt.0 en .gt.ridicule**2 pour éviter valeur
             ! ridiculement petites
@@ -2118,5 +2118,5 @@
            enddo !do ixt=1,niso           
         else !if (zcond(i).gt.0.0) THEN
-           if (zoliq(i).lt.ridicule) THEN
+           IF (zoliq(i).lt.ridicule) THEN
                do ixt=1,ntraciso
                 zxtoliq(ixt,i)=0.0
@@ -2129,5 +2129,5 @@
 #ifdef ISOTRAC
               do ixt=niso+1,ntraciso
-                if (index_zone(ixt).eq.izone_poubelle) THEN
+                IF (index_zone(ixt).EQ.izone_poubelle) THEN
                     zxtoliq(ixt,i)=zoliq(i)*Rdefault(ixt)
                 else
@@ -2161,9 +2161,9 @@
       do i=1,klon  
         IF (rneb(i,k).GT.0.0) THEN
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtoliq(iso_eau,i),zoliq(i), &
                  'il pleut 749',errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
+          IF (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(zxtoliq(iso_HDO,i),zoliq(i), &
                  ridicule_rain, deltalim_snow, 'il pleut 963')
@@ -2201,5 +2201,5 @@
 !     &           * (paprs(i,k)-paprs(i,k+1))/(RG*dtime)
 !          enddo  
-            if (zcond(i).gt.ridicule**2) THEN
+            IF (zcond(i).gt.ridicule**2) THEN
                 ! modif le 19 dec 2012 pour éviter zcond pathologiquement petits
                 do ixt=1,ntraciso
@@ -2210,5 +2210,5 @@
                 enddo !do ixt=1,niso
             else !if (zcond(i).gt.0.0) THEN
-                if (zcond(i)-zoliq(i).gt.0.0) THEN
+                IF (zcond(i)-zoliq(i).gt.0.0) THEN
                     do ixt=1,niso
                         zxtrfl(ixt,i)=zxtrfl(ixt,i) &
@@ -2224,5 +2224,5 @@
 #ifdef ISOTRAC
                    do ixt=niso+1,ntraciso
-                      if (index_zone(ixt).eq.izone_poubelle) THEN
+                      IF (index_zone(ixt).EQ.izone_poubelle) THEN
                         zxtrfl(ixt,i)=zxtrfl(ixt,i) &
                         +Rdefault(ixt) &
@@ -2240,8 +2240,8 @@
 #ifdef ISOVERIF
             do ixt=1,ntraciso
-             if ((iso_verif_noNAN_nostop(zxtrfl(ixt,i), &
-                         'il pleut 772').eq.1).or. &
+             IF ((iso_verif_noNAN_nostop(zxtrfl(ixt,i), &
+                         'il pleut 772').EQ.1).OR. &
                          (iso_verif_noNAN_nostop(zxtoliq(ixt,i), &
-                         'il pleut 772b').eq.1)) THEN
+                         'il pleut 772b').EQ.1)) THEN
                WRITE(*,*) 'zcond(i)=',zcond(i)
                WRITE(*,*) 'zxtcond(ixt,i)=',zxtcond(ixt,i)
@@ -2254,10 +2254,10 @@
 #endif
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(d_xtl(iso_eau,i,k), &
                  d_ql(i,k),'il pleut 771',errmax,errmaxrel)
-              if (iso_verif_egalite_choix_nostop( &
+              IF (iso_verif_egalite_choix_nostop( &
                  zxtrfl(iso_eau,i),zrfl(i), &
-                 'il pleut 771b',errmax,errmaxrel).eq.1)THEN
+                 'il pleut 771b',errmax,errmaxrel).EQ.1)THEN
                  WRITE(*,*) 'trace_cas(i)=',trace_cas(i)
                  WRITE(*,*) 'zxtcond(iso_eau,i)',zxtcond(iso_eau,i)
@@ -2268,5 +2268,5 @@
               endif
             endif !if (iso_eau.gt.0) THEN
-            if (iso_HDO.gt.0) THEN
+            IF (iso_HDO.gt.0) THEN
                 IF ((t(i,1)) .LT. RTT) THEN
                 CALL iso_verif_aberrant_choix(zxtrfl(iso_hdo,i), &
@@ -2279,5 +2279,5 @@
 #endif
          ! bidouille
-         if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+         IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
                zxtrfl(iso_eau,i)= zrfl(i)   
 !             if (zxtrfl(iso_eau,i).gt.0.0) THEN
@@ -2314,5 +2314,5 @@
              zqpreci(i)=(zcond(i)-zoliq(i))*zfice(i)
              zqprecl(i)=(zcond(i)-zoliq(i))*(1.-zfice(i))
-           if (fl_cor_ebil .GT. 0) THEN
+           IF (fl_cor_ebil .GT. 0) THEN
              zcp=RCPD*(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
              coef1 = rneb(i,k)*RLSTT/zcp*zdqsdT_raw(i)
@@ -2364,6 +2364,6 @@
          IF (rneb(i,k).GT.0.0) THEN
 !CR on prend en compte la phase glace
-!JLD inutile car on ne passe jamais ici si .not.ice_thermo
-!           if (.not.ice_thermo) THEN
+!JLD inutile car on ne passe jamais ici si .NOT.ice_thermo
+!           if (.NOT.ice_thermo) THEN
 !           d_ql(i,k) = zoliq(i)
 !           d_qi(i,k) = 0.
@@ -2387,5 +2387,5 @@
               zifl(i) = zifl(i)+zrfl(i)
               zrfl(i) = 0.
-           if (fl_cor_ebil .GT. 0) THEN
+           IF (fl_cor_ebil .GT. 0) THEN
               zt(i)=zt(i)+zsolid*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *(RLSTT-RLVTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -2457,5 +2457,5 @@
 #ifdef ISOVERIF
       DO i = 1, klon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(pxtrainfl(iso_eau,i,k),prfl(i,k), &
                  'il pleut 804',errmax,errmaxrel)
@@ -2464,12 +2464,12 @@
           CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                  'il pleut 1612',errmax,errmaxrel)
-          if (iso_verif_positif_choix_nostop(pxtrainfl(iso_eau,i,k), &
-                 ridicule_rain,'ilp 1547').eq.1) THEN
+          IF (iso_verif_positif_choix_nostop(pxtrainfl(iso_eau,i,k), &
+                 ridicule_rain,'ilp 1547').EQ.1) THEN
             WRITE(*,*) 'prfl(i,k)=',prfl(i,k)
             stop
           endif  
         endif !if (iso_eau.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
-          if (prfl(i,k).gt.ridicule_rain) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (prfl(i,k).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant(pxtrainfl(iso_HDO,i,k)/prfl(i,k), &
                   'il pleut 1020')
@@ -2477,5 +2477,5 @@
           CALL iso_verif_aberrant_choix(pxtsnowfl(iso_HDO,i,k),psfl(i,k), &
                  ridicule_rain, deltalim_snow, 'il pleut 1024')
-          if (zq(i).gt.ridicule) THEN
+          IF (zq(i).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                  'il pleut 1204')
@@ -2504,7 +2504,7 @@
          ! cam verif
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) THEN
-             if (iso_verif_egalite_choix_nostop(d_xt(iso_eau,i,k), &
-                  d_q(i,k),'il pleut 838',errmax,errmaxrel).eq.1) THEN
+           IF (iso_eau.gt.0) THEN
+             IF (iso_verif_egalite_choix_nostop(d_xt(iso_eau,i,k), &
+                  d_q(i,k),'il pleut 838',errmax,errmaxrel).EQ.1) THEN
                 WRITE(*,*) 'i,k=',i,k
                 WRITE(*,*) 'zxt,zq=',zxt(iso_eau,i),zq(i)
@@ -2513,9 +2513,9 @@
              endif
            endif !if (iso_eau.gt.0) THEN
-           if (1.eq.0) THEN
-           if (iso_HDO.gt.0) THEN
-            if (abs(d_q(i,k)).gt.max(errmaxrel*q(i,k),errmax)) THEN
-              if (iso_verif_aberrant_nostop( &
-                 d_xt(iso_HDO,i,k)/d_q(i,k),'il pleut 1229').eq.1) THEN
+           IF (1.EQ.0) THEN
+           IF (iso_HDO.gt.0) THEN
+            IF (abs(d_q(i,k)).gt.max(errmaxrel*q(i,k),errmax)) THEN
+              IF (iso_verif_aberrant_nostop( &
+                 d_xt(iso_HDO,i,k)/d_q(i,k),'il pleut 1229').EQ.1) THEN
 !                WRITE(*,*) 'd_q(i,k)=',d_q(i,k)
 !                WRITE(*,*) 'q(i,k)=',q(i,k)
@@ -2527,5 +2527,5 @@
             endif !if (zq(i).gt.ridicule) THEN
            endif !if (iso_HDO.gt.0) THEN
-          endif !if (1.eq.0) THEN
+          endif !if (1.EQ.0) THEN
 #endif
          ! end cam verif
@@ -2545,8 +2545,8 @@
         zprec_cond(i) = MAX(zcond(i)-zoliq(i),0.0) &
              * (paprs(i,k)-paprs(i,k+1))/RG
-        IF (rneb(i,k).GT.0.0.and.zprec_cond(i).gt.0.) THEN
+        IF (rneb(i,k).GT.0.0.AND.zprec_cond(i).gt.0.) THEN
            !AA lessivage nucleation LMD5 dans la couche elle-meme
           IF (iflag_t_glace.EQ.0) THEN
-           if (t(i,k) .GE. t_glace_min_old) THEN
+           IF (t(i,k) .GE. t_glace_min_old) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -2554,5 +2554,5 @@
            endif
           ELSE ! of IF (iflag_t_glace.EQ.0)
-           if (t(i,k) .GE. t_glace_min) THEN
+           IF (t(i,k) .GE. t_glace_min) THEN
               zalpha_tr = a_tr_sca(3)
            else
@@ -2574,7 +2574,7 @@
      DO kk = k-1, 1, -1
         DO i = 1, klon
-           IF (rneb(i,k).GT.0.0.and.zprec_cond(i).gt.0.) THEN
+           IF (rneb(i,k).GT.0.0.AND.zprec_cond(i).gt.0.) THEN
              IF (iflag_t_glace.EQ.0) THEN
-              if (t(i,kk) .GE. t_glace_min_old) THEN
+              IF (t(i,kk) .GE. t_glace_min_old) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -2582,5 +2582,5 @@
               endif
              ELSE ! of IF (iflag_t_glace.EQ.0)
-              if (t(i,kk) .GE. t_glace_min) THEN
+              IF (t(i,kk) .GE. t_glace_min) THEN
                  zalpha_tr = a_tr_sca(1)
               else
@@ -2598,5 +2598,5 @@
       ! verif en fin de boucle
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         do i=1,klon       
         CALL iso_verif_egalite_choix(zxtrfl(iso_eau,i) &
@@ -2654,13 +2654,13 @@
 #endif         
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(xtrain(iso_eau,i),rain(i), &
                  'il pleut 926a',errmax,errmaxrel)
-        if (snow(i)*dtime.gt.ridicule) THEN
+        IF (snow(i)*dtime.gt.ridicule) THEN
            CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i), &
                   'il pleut 938a',errmax,errmaxrel)
         endif !if (snow(i)*dtime.gt.ridicule) THEN
        endif !if (iso_eau.gt.0) THEN
-       if (iso_HDO.gt.0) THEN
+       IF (iso_HDO.gt.0) THEN
            CALL iso_verif_aberrant_choix(xtrain(iso_hdo,i),rain(i), &
                  ridicule_rain,deltalim,'il pleut 926b')
@@ -2691,5 +2691,5 @@
   ! latent heat is considered.
 !CR: si thermo de la glace, neige deja prise en compte
-  IF (.not.ice_thermo) THEN
+  IF (.NOT.ice_thermo) THEN
   DO k = 1, klev
      DO i = 1, klon
@@ -2702,7 +2702,7 @@
   ENDIF
 
-  if (ncoreczq>0) THEN
+  IF (ncoreczq>0) THEN
      WRITE(lunout,*)'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
-  endif
+  ENDIF
 
 
@@ -2712,5 +2712,5 @@
        do k=1,klev
         do i=1,klon
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(d_xtl(iso_eau,i,k),d_ql(i,k), &
                   'il pleut 1289',errmax,errmaxrel)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5117)
@@ -31,5 +31,5 @@
   USE lmdz_ioipsl_getin_p, ONLY: getin_p
   USE dimphy
-  use lmdz_phys_para
+  USE lmdz_phys_para
   USE lmdz_print_control, ONLY: prt_level
 #ifdef ISO
@@ -330,5 +330,5 @@
       REAL, DIMENSION(ntraciso,klon,klev) :: D_xt1, D_xt2, D_dxt
       REAL, DIMENSION(ntraciso,klon,klev) :: omgbdxt
-      integer ixt
+      INTEGER ixt
 #endif
 
@@ -398,5 +398,5 @@
   ! alpk = 0.05
 
- if (first) THEN
+ IF (first) THEN
   igout = klon/2+1/klon
 
@@ -468,5 +468,5 @@
 
   first=.FALSE.
- endif
+ END IF
 
  IF (iflag_wk_pop_dyn == 0) THEN
@@ -712,11 +712,11 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 723a')
               CALL iso_verif_egalite(qu(i,k),xtu(iso_eau,i,k),'wake 723b')
         endif
-        if (iso_HDO.gt.0) THEN
-               if (iso_verif_aberrant_enc_choix_nostop(xtu(iso_hdo,i,k),qu(i,k),ridicule,deltalim, &
-                        'wake 723c xtu').eq.1) THEN
+        IF (iso_HDO.gt.0) THEN
+               IF (iso_verif_aberrant_enc_choix_nostop(xtu(iso_hdo,i,k),qu(i,k),ridicule,deltalim, &
+                        'wake 723c xtu').EQ.1) THEN
                      stop
                endif
@@ -1074,5 +1074,5 @@
     ! ------------------------------------------------------------
 
-    ! wk_adv is the logical flag enabling wake evolution in the time advance
+    ! wk_adv is the LOGICAL flag enabling wake evolution in the time advance
     ! loop
     DO i = 1, klon
@@ -1455,5 +1455,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(deltaqw(i,k-1),deltaxtw(iso_eau,i,k-1),'wake 1460a')
         CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 1460b')
@@ -1503,5 +1503,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(d_q1(i,k),d_xt1(iso_eau,i,k),'wake 1502a')
         CALL iso_verif_egalite(d_q2(i,k),d_xt2(iso_eau,i,k),'wake 1502b')
@@ -1631,5 +1631,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqke(i,k),dxtKE(iso_eau,i,k),'wake 1621a')
         CALL iso_verif_egalite(dqdwn(i,k),dxtdwn(iso_eau,i,k),'wake 1621b')
@@ -1708,5 +1708,5 @@
         enddo !do ixt=1,ntraciso
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqke(i,k),dxtKE(iso_eau,i,k),'wake 1692a')
         CALL iso_verif_egalite(deltaqw(i,k),deltaxtw(iso_eau,i,k),'wake 1692b')
@@ -1727,5 +1727,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_vect2D(d_deltaxtw,d_deltaqw, &
                  'wake 1359',ntraciso,klon,klev)
@@ -1797,5 +1797,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         DO k= 1,klev 
           DO i = 1,klon 
@@ -1840,5 +1840,5 @@
 #ifdef ISOVERIF
       WRITE(*,*) 'wake 1859'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         DO k= 1,klev 
           DO i = 1,klon 
@@ -1848,5 +1848,5 @@
         enddo ! DO k= 1,klev 
       endif !if (iso_eau.gt.0) THEN
-      if (iso_hdo.gt.0) THEN
+      IF (iso_hdo.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
             xte,qe, &
@@ -2231,5 +2231,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_hdo.gt.0) THEN
+      IF (iso_hdo.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
               xtu,qu, &
@@ -2332,5 +2332,5 @@
         !! print *,'wake, sum_half_dth(i), sum_dth(i) ', &
         !!                sum_half_dth(i), sum_dth(i)
-        IF ((hw0(i) < 1.) .or. (dthmin(i) >= -delta_t_min) ) THEN
+        IF ((hw0(i) < 1.) .OR. (dthmin(i) >= -delta_t_min) ) THEN
           wape2(i) = -1.
           !! print *,'wake, rej 1'
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5117)
@@ -35,5 +35,5 @@
                                 day_ini,day_end
     USE indice_sol_mod
-    USE nrtype, ONLY: pi
+    USE lmdz_physical_constants, ONLY: pi
 !    USE ioipsl
     USE lmdz_phys_para, ONLY: is_master
@@ -147,5 +147,5 @@
     !END IF
     
-    if (year_len/=360) THEN
+    IF (year_len/=360) THEN
       write (*,*) year_len
       write (*,*) 'iniaqua: 360 day calendar is required !'
@@ -248,5 +248,5 @@
     ! else
     phy_alb(:, :) = albedo ! albedo land only (old value condsurf_jyg=0.3)
-    ! endif !alb_ocean
+    ! END IF !alb_ocean
 
     DO i = 1, year_len
@@ -961,5 +961,5 @@
       END IF
 
-      if (type_profil==20) THEN
+      IF (type_profil==20) THEN
       PRINT*,'Profile SST 20'
 !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
@@ -970,5 +970,5 @@
       endif
 
-      if (type_profil==21) THEN
+      IF (type_profil==21) THEN
       PRINT*,'Profile SST 21'
 !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5117)
@@ -41,5 +41,5 @@
   USE iostart,          ONLY: close_startphy, get_field, get_var, open_startphy
   USE infotrac_phy,     ONLY: nqtot, nbtr, type_trac, tracers
-  USE readTracFiles_mod,ONLY: maxlen, new2oldH2O
+  USE lmdz_readTracFiles,ONLY: maxlen, new2oldH2O
   USE traclmdz_mod,     ONLY: traclmdz_from_restart
   USE carbon_cycle_mod, ONLY: carbon_cycle_init, carbon_cycle_cpl, carbon_cycle_tr, carbon_cycle_rad, co2_send, RCO2_glo
@@ -47,7 +47,7 @@
   USE ocean_slab_mod,   ONLY: nslay, tslab, seaice, tice, ocean_slab_init
   USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
-  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-  use netcdf, ONLY: missing_val_netcdf => nf90_fill_real
-  use config_ocean_skin_m, ONLY: activate_ocean_skin
+  USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
+  USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
+  USE config_ocean_skin_m, ONLY: activate_ocean_skin
 #ifdef ISO
   USE infotrac_phy, ONLY: niso
@@ -77,5 +77,5 @@
   REAL qsurf(klon, nbsrf)
   REAL snow(klon, nbsrf)
-  real fder(klon)
+  REAL fder(klon)
   REAL run_off_lic_0(klon)
   REAL fractint(klon)
@@ -328,5 +328,5 @@
 !===================================================================
 
-   if ( iflag_physiq <= 1 ) THEN
+   IF ( iflag_physiq <= 1 ) THEN
 !===================================================================
   ! Lecture des temperatures du sol profond:
@@ -399,5 +399,5 @@
 !  found=phyetat0_srf(treedrg,"treedrg","drag from vegetation" , 0.)
     !lecture du profile de freinage des arbres
-    IF (.not. found ) THEN
+    IF (.NOT. found ) THEN
       treedrg(:,1:klev,1:nbsrf)= 0.0
     ELSE
@@ -410,5 +410,5 @@
   ENDIF
 
-  endif ! iflag_physiq <= 1
+  ENDIF ! iflag_physiq <= 1
 
   ! Lecture de l'age de la neige:
@@ -552,5 +552,5 @@
 #ifdef ISOVERIF 
       WRITE(*,*) 'phyetat0 1074'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D(  &
                  xtsnow,snow, &
@@ -628,6 +628,6 @@
   ENDIF ! Slab        
 
-  if (activate_ocean_skin >= 1) THEN
-     if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
+  IF (activate_ocean_skin >= 1) THEN
+     IF (activate_ocean_skin == 2 .AND. type_ocean == 'couple') THEN
         found = phyetat0_get(delta_sal, "delta_sal", &
              "ocean-air interface salinity minus bulk salinity", 0.)
@@ -671,10 +671,10 @@
 !        WRITE(*,*) 'xtsnow(:,994,2)=',xtsnow(:,994,2)
 !#endif
-  if ( iflag_physiq <= 1 ) THEN
+  IF ( iflag_physiq <= 1 ) THEN
   CALL pbl_surface_init(fder, snow, qsurf, tsoil)
 #ifdef ISO
   CALL pbl_surface_init_iso(xtsnow,Rland_ice)
 #endif
-  endif
+  ENDIF
 
   ! Initialize module ocean_cpl_mod for the case of coupled ocean
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5117)
@@ -50,5 +50,5 @@
   USE ocean_slab_mod, ONLY: nslay, tslab, seaice, tice, fsic
   USE time_phylmdz_mod, ONLY: annee_ref, day_end, itau_phy, pdtphys
-  use config_ocean_skin_m, ONLY: activate_ocean_skin
+  USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
   IMPLICIT none
@@ -66,5 +66,5 @@
   REAL qsurf(klon, nbsrf)
   REAL snow(klon, nbsrf)
-  real fder(klon)
+  REAL fder(klon)
   REAL run_off_lic_0(klon)
   REAL trs(klon, nbtr)
@@ -387,12 +387,12 @@
     END IF
 
-    if (ok_gwd_rando) CALL put_field(pass,"du_gwd_rando", &
+    IF (ok_gwd_rando) CALL put_field(pass,"du_gwd_rando", &
          "tendency on zonal wind due to flott gravity waves", du_gwd_rando)
 
-    IF (.not. ok_hines .and. ok_gwd_rando) CALL put_field(pass,"du_gwd_front", &
+    IF (.NOT. ok_hines .AND. ok_gwd_rando) CALL put_field(pass,"du_gwd_front", &
          "tendency on zonal wind due to acama gravity waves", du_gwd_front)
 
-    if (activate_ocean_skin >= 1) THEN
-       if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
+    IF (activate_ocean_skin >= 1) THEN
+       IF (activate_ocean_skin == 2 .AND. type_ocean == 'couple') THEN
           CALL put_field(pass, "delta_sal", &
                "ocean-air interface salinity minus bulk salinity", delta_sal)
@@ -505,5 +505,5 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: index_zone,index_iso,strtrac
+    USE isotrac_mod, ONLY: index_zone,index_iso,strtrac
 #endif
       !USE phyredem, ONLY: put_field_srf1
@@ -523,12 +523,12 @@
       REAL xtrun_off_lic_0(niso,klon)
       REAL Rland_ice(niso,klon)
-      real run_off_lic_0(klon)
-      integer, intent(in) :: pass
+      REAL run_off_lic_0(klon)
+      INTEGER, INTENT(IN) :: pass
 
       ! locals
-      real iso_tmp(klon)
-      real iso_tmp_lonlev(klon,klev)
-      real iso_tmp_lonsrf(klon,nbsrf)
-      integer i,ixt,k,nsrf
+      REAL iso_tmp(klon)
+      REAL iso_tmp_lonlev(klon,klev)
+      REAL iso_tmp_lonsrf(klon,nbsrf)
+      INTEGER i,ixt,k,nsrf
       INTEGER nid, nvarid
       INTEGER ierr
@@ -536,12 +536,12 @@
       CHARACTER*2 str2
       CHARACTER*50 outiso
-      integer lnblnk
+      INTEGER lnblnk
 #ifdef ISOTRAC
-      integer iiso,izone
+      INTEGER iiso,izone
 #endif      
 
       WRITE(*,*) 'phyisoredem 41: entrée'
 #ifdef ISOVERIF
-     if (iso_eau.gt.0) THEN
+     IF (iso_eau.gt.0) THEN
       do k=1,klev
         do i=1,klon
@@ -609,5 +609,5 @@
 
       ! variables seulement pour niso:
-      if (ixt.le.niso) THEN
+      IF (ixt.le.niso) THEN
       iso_tmp_lonsrf(:,:)=xtsnow(ixt,:,:)
       CALL put_field_srf1(pass, "XTSNOW"//TRIM(outiso), "NEIGE",       iso_tmp_lonsrf)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5117)
@@ -16,5 +16,5 @@
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!/ histmth, histday, histhf, histins /),'!!!!!!!!!!!!
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-  !  CHARACTER(len=20), dimension(nfiles) :: TEF = type_ecri_files
+  !  CHARACTER(len=20), DIMENSION(nfiles) :: TEF = type_ecri_files
 
   !!! saving lon and lat as variables for CMIP6 DataRequest
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5117)
@@ -36,5 +36,5 @@
     USE dimphy
     USE infotrac_phy, ONLY: nqtot, tracers, niso, ntraciso=>ntiso
-    USE strings_mod,  ONLY: maxlen
+    USE lmdz_strings,  ONLY: maxlen
     USE ioipsl
     USE phys_cal_mod, ONLY: hour, calend
@@ -48,9 +48,9 @@
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
     ! ug Pour les sorties XIOS
-    USE wxios
+    USE lmdz_wxios
 #ifdef ISO
     USE isotopes_mod, ONLY: isoName,iso_HTO
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: index_zone,index_iso,strtrac
+    USE isotrac_mod, ONLY: index_zone,index_iso,strtrac
 #endif
 #endif
@@ -188,5 +188,5 @@
     ALLOCATE(o_dxtthe(ntraciso))
     ALLOCATE(o_dxtch4(ntraciso))
-    if (iso_HTO.gt.0) THEN
+    IF (iso_HTO.gt.0) THEN
       ALLOCATE(o_dxtprod_nucl(ntraciso))
       ALLOCATE(o_dxtcosmo(ntraciso))
@@ -361,5 +361,5 @@
     IF (using_xios) THEN
 !!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
-      IF (.not. ok_all_xml) THEN
+      IF (.NOT. ok_all_xml) THEN
         IF (prt_level >= 10) THEN
          PRINT*,'phys_output_open: CALL wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))
@@ -615,5 +615,5 @@
   SUBROUTINE convers_timesteps(str,dtime,timestep)
 
-    use ioipsl
+    USE ioipsl
     USE phys_cal_mod
     USE time_phylmdz_mod, ONLY: day_ref, annee_ref
@@ -642,12 +642,12 @@
     ENDIF
 
-    IF ( type == 'day'.or.type == 'days'.or.type == 'jours'.or.type == 'jour' ) timestep = ttt * dayseconde
-    IF ( type == 'mounths'.or.type == 'mth'.or.type == 'mois' ) THEN
+    IF ( type == 'day'.OR.type == 'days'.OR.type == 'jours'.OR.type == 'jour' ) timestep = ttt * dayseconde
+    IF ( type == 'mounths'.OR.type == 'mth'.OR.type == 'mois' ) THEN
        WRITE(lunout,*)'annee_ref,day_ref mon_len',annee_ref,day_ref,mth_len
        timestep = ttt * dayseconde * mth_len
     ENDIF
-    IF ( type == 'hours'.or.type == 'hr'.or.type == 'heurs') timestep = ttt * dayseconde / 24.
-    IF ( type == 'mn'.or.type == 'minutes'  ) timestep = ttt * 60.
-    IF ( type == 's'.or.type == 'sec'.or.type == 'secondes'   ) timestep = ttt
+    IF ( type == 'hours'.OR.type == 'hr'.OR.type == 'heurs') timestep = ttt * dayseconde / 24.
+    IF ( type == 'mn'.OR.type == 'minutes'  ) timestep = ttt * 60.
+    IF ( type == 's'.OR.type == 'sec'.OR.type == 'secondes'   ) timestep = ttt
     IF ( type == 'TS' ) timestep = ttt * dtime
 
